# Serialized Form

- ## Package org.eclipse.net4j.channel

  - ### Class org.eclipse.net4j.channel.ChannelException extends java.lang.RuntimeException implements Serializable

    serialVersionUID:
      1L

- ## Package org.eclipse.net4j.connector

  - ### Class org.eclipse.net4j.connector.ConnectorException extends java.lang.RuntimeException implements Serializable

    serialVersionUID:
      1L

- ## Package org.eclipse.net4j.protocol

  - ### Class org.eclipse.net4j.protocol.ProtocolVersionException extends java.lang.IllegalStateException implements Serializable

    serialVersionUID:
      1L

- ## Package org.eclipse.net4j.signal

  - ### Class org.eclipse.net4j.signal.RemoteException extends java.lang.RuntimeException implements Serializable

    serialVersionUID:
      1L

    - ### Serialized Fields

      - #### whileResponding

            boolean whileResponding

      - #### localStackTrace

            java.lang.StackTraceElement[] localStackTrace

  - ### Class org.eclipse.net4j.signal.SignalFinishedEvent extends Event implements Serializable

    serialVersionUID:
      1L

    - ### Serialized Fields

      - #### signal

            Signal signal

      - #### exception

            java.lang.Exception exception

  - ### Class org.eclipse.net4j.signal.SignalProtocol.InvalidSignalIDException extends java.lang.IllegalArgumentException implements Serializable

    serialVersionUID:
      1L

    - ### Serialized Fields

      - #### signalID

            short signalID

  - ### Class org.eclipse.net4j.signal.SignalProtocol.TimeoutChangedEvent extends Event implements Serializable

    serialVersionUID:
      1L

    - ### Serialized Fields

      - #### oldTimeout

            long oldTimeout

      - #### newTimeout

            long newTimeout

  - ### Class org.eclipse.net4j.signal.SignalScheduledEvent extends Event implements Serializable

    serialVersionUID:
      1L

    - ### Serialized Fields

      - #### signal

            Signal signal

- ## Package org.eclipse.net4j.ws.jetty

  - ### Class org.eclipse.net4j.ws.jetty.Net4jWebSocketServlet extends org.eclipse.jetty.websocket.servlet.WebSocketServlet implements Serializable

    serialVersionUID:
      1L

- ## Package org.eclipse.spi.net4j

  - ### Class org.eclipse.spi.net4j.Channel.SendQueue extends java.util.concurrent.ConcurrentLinkedQueue<IBuffer> implements Serializable

    serialVersionUID:
      1L

    - ### Serialized Fields

      - #### size

            java.util.concurrent.atomic.AtomicInteger size

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html